Dataset Annotations
Dataset Annotations
POST /api/v1/datasets/{dataset_id}/versions/{version_id}/annotations
Create Annotation
Parameters
| Name | In | Type | Required |
|---|---|---|---|
dataset_id | path | string | true |
version_id | path | string | true |
Request Body
Type: Annotation
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
label_id | string | |
item_id | uuid.UUID | |
split_id | string | TODO Can we not have to store this?? |
coordinates | string | storing obj detection coordinates as a string that can easily be converted to an array. |
| If we ever start to need searches/calculations on these coordinates on the backed, we can migrate them to x, y, h, w. | ||
| For now, we store everything in Yolo format, with converters on export or on the SDK side. | ||
user_id | string | TODO CoordinateFormat string json:"coordinate_format" // COCO, Yolo, Voc |
Response
Type: Annotation
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
label_id | string | |
item_id | uuid.UUID | |
split_id | string | TODO Can we not have to store this?? |
coordinates | string | storing obj detection coordinates as a string that can easily be converted to an array. |
| If we ever start to need searches/calculations on these coordinates on the backed, we can migrate them to x, y, h, w. | ||
| For now, we store everything in Yolo format, with converters on export or on the SDK side. | ||
user_id | string | TODO CoordinateFormat string json:"coordinate_format" // COCO, Yolo, Voc |
Example
curl -X POST \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}' \
https://api.seeme.ai/api/v1/datasets/{dataset_id}/versions/{version_id}/annotationsPUT /api/v1/datasets/{dataset_id}/versions/{version_id}/annotations/{id}
Update Annotation
Parameters
| Name | In | Type | Required |
|---|---|---|---|
dataset_id | path | string | true |
version_id | path | string | true |
id | path | string | true |
Request Body
Type: Annotation
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
label_id | string | |
item_id | uuid.UUID | |
split_id | string | TODO Can we not have to store this?? |
coordinates | string | storing obj detection coordinates as a string that can easily be converted to an array. |
| If we ever start to need searches/calculations on these coordinates on the backed, we can migrate them to x, y, h, w. | ||
| For now, we store everything in Yolo format, with converters on export or on the SDK side. | ||
user_id | string | TODO CoordinateFormat string json:"coordinate_format" // COCO, Yolo, Voc |
Response
Type: Annotation
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
label_id | string | |
item_id | uuid.UUID | |
split_id | string | TODO Can we not have to store this?? |
coordinates | string | storing obj detection coordinates as a string that can easily be converted to an array. |
| If we ever start to need searches/calculations on these coordinates on the backed, we can migrate them to x, y, h, w. | ||
| For now, we store everything in Yolo format, with converters on export or on the SDK side. | ||
user_id | string | TODO CoordinateFormat string json:"coordinate_format" // COCO, Yolo, Voc |
Example
curl -X PUT \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}' \
https://api.seeme.ai/api/v1/datasets/{dataset_id}/versions/{version_id}/annotations/{id}DELETE /api/v1/datasets/{dataset_id}/versions/{version_id}/annotations/{id}
Delete Annotation
Parameters
| Name | In | Type | Required |
|---|---|---|---|
dataset_id | path | string | true |
version_id | path | string | true |
id | path | string | true |
Response
Type: Annotation
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
label_id | string | |
item_id | uuid.UUID | |
split_id | string | TODO Can we not have to store this?? |
coordinates | string | storing obj detection coordinates as a string that can easily be converted to an array. |
| If we ever start to need searches/calculations on these coordinates on the backed, we can migrate them to x, y, h, w. | ||
| For now, we store everything in Yolo format, with converters on export or on the SDK side. | ||
user_id | string | TODO CoordinateFormat string json:"coordinate_format" // COCO, Yolo, Voc |
Example
curl -X DELETE \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/datasets/{dataset_id}/versions/{version_id}/annotations/{id}